import { HorizontalRangeCategorySeries } from "./HorizontalRangeCategorySeries";
import { SeriesView } from "./SeriesView";
import { Point, Type } from "igniteui-react-core/ES2015/type";
import { CategoryMode } from "./CategoryMode";
import { CategoryAxisBase } from "./CategoryAxisBase";
import { CategoryFrame } from "./CategoryFrame";
import { CategorySeriesView } from "./CategorySeriesView";
import { List$1 } from "igniteui-react-core/ES2015/List$1";
import { Polyline } from "igniteui-react-core/ES2015/Polyline";
import { Polygon } from "igniteui-react-core/ES2015/Polygon";
import { RangeCategorySeriesView } from "./RangeCategorySeriesView";
import { RenderingContext } from "igniteui-react-core/ES2015/RenderingContext";
export declare class RangeAreaSeries extends HorizontalRangeCategorySeries {
    protected bf(): SeriesView;
    ii(a: SeriesView): void;
    o8: RangeAreaSeriesView;
    protected get_cj(): boolean;
    readonly cj: boolean;
    protected o9(a: Point, b: Point, c: Point, d: boolean): boolean;
    de(a: Point, b: boolean): boolean;
    constructor();
    preferredCategoryMode(a: CategoryAxisBase): CategoryMode;
    hl(a: boolean, b: SeriesView): void;
    ob(a: CategoryFrame, b: CategorySeriesView): void;
    readonly useHighMarkerFidelity: boolean;
    static $t: Type;
}
export declare class RangeAreaSeriesView extends RangeCategorySeriesView {
    protected cw: RangeAreaSeries;
    constructor(a: RangeAreaSeries);
    ap(): void;
    private c4;
    private c0;
    private c6;
    readonly c5: Polyline;
    readonly c1: Polygon;
    readonly c7: Polyline;
    cx(): void;
    cy(a: number, b: List$1<number[]>, c: boolean): void;
    private c3;
    private c2;
    private cz;
    protected a9(): void;
    protected a3(a: RenderingContext, b: boolean): void;
    ai(a: any): void;
    static $t: Type;
}
